/*
* funkcja inicjuje kontrolki UI
*/
function initUI()
{
    document.getElementById( "rotXSlider" ).addEventListener( "input", angleChanged );
    document.getElementById( "rotYSlider" ).addEventListener( "input", angleChanged );
    document.getElementById( "rotZSlider" ).addEventListener( "input", angleChanged );

    document.getElementById( "patternSelect" ).addEventListener( "click", selectPattern );

    angleChanged();
    selectPattern();
}

/*
* funkcja zwrotna dla suwakow uzywanych do rotacji modelem
*/
function angleChanged()
{
    let rotX = parseInt( updateOutput( "rotXSlider", "rotXValue" ) );
    let rotY = parseInt( updateOutput( "rotYSlider", "rotYValue" ) );
    let rotZ = parseInt( updateOutput( "rotZSlider", "rotZValue" ) );

    rotationAngles = [rotX, rotY, rotZ];
}

/*
* funkcja aktualizuje kontrolke control wartoscia z danego suwaka
* sliderControl - id suwaka
* outputControl - id kontrolki control, ktora ma byc zaktualizowana
* funkcja zwraca string z wartoscia z suwaka
*/
function updateOutput(sliderControl, outputControl)
{
    let value = document.getElementById( outputControl );
    let slider = document.getElementById( sliderControl );

    value.value = slider.value;

    return slider.value;
}

/*
* funkcja zwrotna dla listy z wyborem wzoru na modelu
*/
function selectPattern()
{
    let index = document.getElementById( "patternSelect" ).selectedIndex;

    if( index == 0 )
    {
        shader = marblePattern;
        material = material1;
    }
    else
    {
        shader = woodPattern;
        material = material2;
    }
}
